# Расширение HTTPServices для конфигурации ЕМП

Расширение 1С. Базовая заготовка для реализации HTTP сервисов на базе конфигураций 1С, в частности, данное расширение создано для конфигурации "ЕМП". В данном расширении помимо конструктива и методов работы HTTP сервиса, реализован HTTP сервис API CSM, позволяющий при помощи POST запросов реализовывать поставку данных для виджета "Проверка статуса Заказа" на стороне любого сайта. 

## С чего начать?

- 1. Клонировать или скачать файлы данного репозитория.
- 2. Внимательно ознакомиться с данной инструкцией, ПРОЧЕСТЬ ЕЕ.
- 3. Пошагово выполнить подготовку и внедрение, в соответствии с рекомендациями данной инструкции.

## Содержание и описание файлов

- README.MD - Непосредственно этот файл, который является инструкцией и описанием всего проекта и расширения.
- HTTPServices.cfe - файл расширения, который нужно добавить в рабочую базу 1С ЕМП.
- HTTPServices\default.vrd - файл настроек публикации и подключения HTTP сервиса на стороне веб сервера Apache.
- HTTPServises\apache.conf - файл с блоком настроек на стороне веб сервера Apache, для реализации публикации HTTP сервиса во вне.

## 
- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://gitlab.ivcsm.ru/1c-shared/emp/emphttpservices.git
git branch -M master
git push -uf origin master
```

## Integrate with your tools

- [ ] [Set up project integrations](https://gitlab.ivcsm.ru/1c-shared/emp/emphttpservices/-/settings/integrations)

## Collaborate with your team

- [ ] [Invite team members and collaborators](https://docs.gitlab.com/ee/user/project/members/)
- [ ] [Create a new merge request](https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html)
- [ ] [Automatically close issues from merge requests](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)
- [ ] [Enable merge request approvals](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/)
- [ ] [Automatically merge when pipeline succeeds](https://docs.gitlab.com/ee/user/project/merge_requests/merge_when_pipeline_succeeds.html)

## Test and Deploy

Use the built-in continuous integration in GitLab.

- [ ] [Get started with GitLab CI/CD](https://docs.gitlab.com/ee/ci/quick_start/index.html)
- [ ] [Analyze your code for known vulnerabilities with Static Application Security Testing(SAST)](https://docs.gitlab.com/ee/user/application_security/sast/)
- [ ] [Deploy to Kubernetes, Amazon EC2, or Amazon ECS using Auto Deploy](https://docs.gitlab.com/ee/topics/autodevops/requirements.html)
- [ ] [Use pull-based deployments for improved Kubernetes management](https://docs.gitlab.com/ee/user/clusters/agent/)
- [ ] [Set up protected environments](https://docs.gitlab.com/ee/ci/environments/protected_environments.html)

***